2004-09-22  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in: Delete @SHARED_RULE@ line.
	(thisconfigdir): Fix.

2004-06-22  Ken Raeburn  <raeburn@mit.edu>

	* g_initialize.c, oid_ops.c: Don't test macintosh.
	* mechglue.h: Don't test __MWERKS__, applec, THINK_C.

2004-06-16  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (all-mac, clean-mac): Targets deleted.

2002-08-29  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in: Revert $(S)=>/ change, for Windows support.

2002-08-23  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in: Change $(S)=>/ and $(U)=>.. globally.

2001-10-09  Ken Raeburn  <raeburn@mit.edu>

	* mechglue.h: Make prototypes unconditional.
	* mglueP.h: Make all prototypes unconditional.
	(NPROTOTYPE): Macro deleted.

2001-10-05  Ken Raeburn  <raeburn@mit.edu>

	* g_initialize.c, mglueP.h: Drop _MSDOS support.

	* g_init_sec_context.c: Don't declare pointers FAR any more.

2001-10-03  Ken Raeburn  <raeburn@mit.edu>

	* g_acquire_cred.c, g_oid_ops.c: Don't use GSS_DLLIMP.

2001-04-17  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (unixmac): Target deleted.

1999-10-26  Wilfredo Sanchez  <tritan@mit.edu>

	* Makefile.in: Clean up usage of CFLAGS, CPPFLAGS, DEFS, DEFINES,
	LOCAL_INCLUDES such that one can override CFLAGS from the command
	line without losing CPP search patchs and defines. Some associated
	Makefile cleanup.

Mon May 10 15:22:42 1999  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Do win32 build in subdir.

1999-02-19  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in (DLL_FILE_DEF): Tell the Makefile template that we
		are building object files for the GSSAPI DLL.

	* g_acquire_cred.c, g_oid_ops.c: Change use of KRB5_DLLIMP to be
		GSS_DLLIMP.

1998-11-13  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in: Set the myfulldir and mydir variables (which are
		relative to buildtop and thisconfigdir, respectively.)

Wed Feb 18 16:12:43 1998  Tom Yu  <tlyu@mit.edu>

	* Makefile.in: Remove trialing slash from thisconfigdir.  Fix up
	BUILDTOP for new conventions.

Mon Feb  2 17:02:29 1998  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in: Define BUILDTOP and thisconfigdir in the Makefile

Wed Feb  5 10:37:00 1996  Richard Basch  <basch@lehman.com>

	* g_accept_sec_context.c g_acquire_cred.c g_compare_name.c
	  g_context_time.c g_delete_sec_context.c g_dsp_name.c
	  g_dsp_status.c g_exp_sec_context.c g_imp_name.c
	  g_imp_sec_context.c g_indicate_mechs.c g_init_sec_context.c
	  g_inq_context.c g_inq_cred.c g_inq_names.c g_process_context.c
	  g_rel_buffer.c g_rel_cred.c g_rel_name.c g_rel_oid_set.c
	  g_seal.c g_sign.c g_unseal.c g_verify.c
		Changed INTERFACE keyword to KRB5_CALLCONV

Mon Nov 18 20:43:54 1996  Ezra Peisach  <epeisach@mit.edu>

	* configure.in: Shared library version number to 1.0. [krb5-libs/201]

Wed Jun 12 00:50:32 1996  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in: Remove include of config/windows.in; that's done
		automatically by wconfig.

	* g_acquire_cred.c, g_oid_ops.c: Change to use new convention of
		KRB5_CALLCONV and KRB5_DLLIMP instead of INTERFACE

Wed May 22 07:48:21 1996  Sam Hartman  <hartmans@mit.edu>

	* Makefile.in (libgssapi.$(STEXT)): Remove unnecessary install rule for libgssapi.a.

Mon May 20 23:56:46 1996  Sam Hartman  <hartmans@mit.edu>

	* configure.in: Don't make libgssapi.a on AIX.  It is handled incorrectly becaus all symbols are not resolved, and it isn't useful as a non-shared library.
	

Fri May  3 16:43:43 1996  Theodore Y. Ts'o  <tytso@mit.edu>

	* g_inq_cred.c (gss_inquire_cred): Add code to support appropriate
		behavior when the input credentials is NULL (i.e., the
		default credential).  We use the default credential for
		the "default mechanism", which is the first mechanism
		registered with the library.

Thu Apr 11 20:11:00 1996  Theodore Y. Ts'o  <tytso@dcl>

	* g_acquire_cred.c (gss_add_cred): Fixed code to correctly handle
		errors reported from the mechanism layer.

Wed Mar 27 00:05:37 1996  Theodore Y. Ts'o  <tytso@dcl>

	* mglueP.h: Don't include <sys/types.h> mechglue.h will take care
		of this by including gssapi.h, which will include
		sys/types.h if necessary.

Thu Mar 21 00:12:07 1996  Theodore Y. Ts'o  <tytso@dcl>

	* g_imp_sec_context.c (gss_import_sec_context):
	* g_exp_sec_context.c (gss_export_sec_context): Fix 16bit vs 32bit
		lint flame.

Wed Mar 20 20:20:38 1996  Theodore Y. Ts'o  <tytso@dcl>

	* g_glue.c: 
	* g_initialize.c: Add include of string.h, as it is needed.

	* g_acquire_cred.c: 
	* g_inq_cred.c: Add include of time.h

	* g_rel_oid_set.c (gss_release_oid_set): Removed unused variable.

	* mechglue.h: Don't include <sys/types.h>; it's included if
		necessary in gssapi/gssapi.h.  On a Macintosh, #include
		gssapi.h instead of gssapi/gssapi.h.

	* g_accept_sec_context.c, g_acquire_cred.c, g_compare_name.c,
	g_context_time.c, g_delete_sec_context.c, g_dsp_name.c,
	g_dsp_status.c, g_exp_sec_context.c, g_glue.c, g_imp_name.c,
	g_imp_sec_context.c, g_indicate_mechs.c, g_init_sec_context.c,
	g_initialize.c, g_inq_context.c, g_inq_cred.c, g_inq_names.c,
	g_process_context.c, g_rel_buffer.c, g_rel_cred.c, g_rel_name.c,
	g_rel_oid_set.c, g_seal.c, g_sign.c, g_unseal.c, g_verify.c,
	gssd_pname_to_uid.c, mechglue.h, mglueP.h: Comment out #ident
		line.  This causes the Macintosh C compiler indigestion.

Tue Mar 12 23:28:57 1996  Ken Raeburn  <raeburn@cygnus.com>

	* mechglue.h (gssd_pname_to_uid, gss_initialize): Use PROTOTYPE
	macro in declarations.

Sun Mar  3 12:49:25 1996  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* g_imp_sec_context.c, g_exp_sec_context.c: Include string.h

Thu Feb 29 11:32:16 1996  Theodore Y. Ts'o  <tytso@dcl>

	* g_glue.c (__gss_get_mech_type): Fix code to properly parse token
		headers.  It was working only by serendipity....

	* g_accept_sec_context.c (gss_accept_sec_context): Add error
		checking and memory cleanup.  Make gss_accept_sec_context
		work for mechanisms that use multiple token roundtrips.

Wed Feb 28 20:33:47 1996  Theodore Y. Ts'o  <tytso@dcl>

	* mglueP.h: For MS-DOS, add #include of malloc.h

	* g_acquire_cred.c (gss_acquire_cred): Fix so that the call works
		when desired_name is NULL (meaning use the default
		credentials).

	* g_imp_sec_context.c (gss_import_sec_context): 
	* g_exp_sec_context.c (gss_export_sec_context): Fix to 
		import/export the framing security context (so that this
		call actually works!).

Tue Feb 27 18:44:51 1996  Theodore Y. Ts'o  <tytso@dcl>

	* g_initialize.c (gss_initialize): Don't fprintf to stderr on
		Macintoshes and Windows.

	* g_inq_context.c: Add INTERFACE keyword for Windows.

	* oid_ops.c: Protect include of unistd.h with HAVE_UNISTD_H

Sun Feb 25 15:39:08 1996  Mark W. Eichin  <eichin@cygnus.com>

	* g_acquire_cred.c, g_delete_sec_context.c, g_dsp_name.c,
	g_dsp_status.c, g_exp_sec_context.c, g_glue.c, g_imp_name.c,
	g_imp_sec_context.c, g_indicate_mechs.c, g_init_sec_context.c,
	g_inq_cred.c, g_rel_buffer.c, g_rel_cred.c, g_rel_name.c,
	g_rel_oid_set.c: include stdio.h to actually get NULL.

Sat Feb 24 16:19:30 1996  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in, g_inquire_cred.c, g_inquire_names.c,
		g_inquire_context.c: Renamed files to g_inq_cred.c,
		g_inq_names.c, and g_inq_context.c, respectively.

	* g_acquire_cred.c (gss_add_cred): New GSSAPI V2 function.

	* g_inquire_cred.c (gss_inquire_cred_by_mech): New GSSAPI V2
		function. 

	* g_init_sec_context.c (gss_init_sec_context): Make sure we
		convert the union credential into a mechanism specific
		credential.

	* g_glue.c (__gss_get_mechanism_cred): New function for returning
		the mechanism-specific credential from a union credential.

	* g_inquire_names.c (gss_inquire_names_for_mech): 
	* g_oid_ops.c (gss_str_to_oid, gss_oid_to_str, 
		gss_test_oid_set_member, gss_add_oid_set_member,
		gss_create_empty_oid_set, gss_release_oid): 
	* g_imp_sec_context.c (gss_import_sec_context): 
	* g_exp_sec_context.c (gss_export_sec_context):
	* g_inquire_cred.c (gss_inquire_cred): 
	* g_rel_oid_set.c (gss_release_oid_set): 
	* g_rel_buffer.c (gss_release_buffer): 
	* g_rel_name.c (gss_release_name): 
	* g_imp_name.c (gss_import_name): 
	* g_dsp_name.c (gss_display_name): 
	* g_compare_name.c (gss_compare_name):
	* g_indicate_mechs.c (gss_indicate_mechs):
	* g_dsp_status.c (gss_display_status): 
	* g_unseal.c (gss_unseal, gss_unwrap): 
	* g_seal.c (gss_seal, gss_wrap):
	* g_verify.c (gss_verify, gss_verify_mic): 
	* g_sign.c (gss_sign, gss_get_mic):
	* g_context_time.c (gss_context_time): 
	* g_delete_sec_context.c (gss_delete_sec_context): 
	* g_process_context.c (gss_process_context): 
	* g_accept_sec_context.c (gss_accept_sec_context): 
	* g_init_sec_context.c (gss_init_sec_context): 
	* g_rel_cred.c (gss_release_cred): 
	* g_acquire_cred.c (gss_acquire_cred): Added INTERFACE keyword for
		Windows.

	* mglueP.h:
	* g_seal.c: Add support for new V2 call gss_wrap_size_limit()

	* g_mechname.c (gss_add_mech_name_type): Only mark a name-type as
		being non-mechanism-specific if the mechanism doesn't
		match the type currently associated with the name-type.

	* g_init_sec_context.c (gss_init_security_context): If we are
		using a mechanism-specific name, use the
		mechanism-specific name directly, instead of calling
		__gss_internal_import() on the external form of the name.
		If the mechanism_type is unspecified, use the type of the
		mechanism-specific name.  If the mechanism_type is
		specified, it must match the type of the supplied name.

	* g_acquire_cred.c (gss_acquire_cred): If we are acquiring
		credentials for a mechanism-specific name, use the name
		directly, instead of doing an __gss_internal_import() on
		the name.  Also, if the desired_mechanisms oid is NULL,
		default to using the mechanism-type of the
		mechanism-specific name.

	* g_compare_name.c (gss_compare_name): Add logic for comparing
		mechanism-specific names.

	* g_accept_sec_context.c (gss_accept_sec_context): Use
		__gss_convert_name_to_union_name() to take the gss_name_t
		returned by the mechanism accept_sec_context(), and
		convert it into a mechanism-specific union name.

	* g_inquire_context.c (gss_inquire_context):  Removed local static
		function convert_name_to_union_name(), and changed
		references to it use the generalized
		__gss_convert_name_to_union_name() call.

	* g_glue.c (__gss_convert_name_to_union_name): New function which
		takes gss_name_t returned by a particular mechanism, and
		converts it into a gss_union_name.

	* g_rel_oid_set.c (gss_release_oid_set): Manually free the oids in
		an OID set, since the containing structure is allocated as
		an array.

Sat Feb 24 12:21:03 1996  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* mglueP.h (gss_config): Change int fields to OM_uint32 to match
		arguments to procedure calls in gss_init_sec_context,
		gss_accept_sec_context, and gss_display_status.

Sat Feb 24 00:00:27 1996  Theodore Y. Ts'o  <tytso@dcl>

	* g_imp_name.c (gss_import_name): If the user passes in a
		name-type which is mechanism specific, then import it
		immediately; don't lazy evaluate it.

	* g_mechname.c (gss_add_mech_name_type): New file for maintaining
		a registry of name-types which are mechanism specific.

	* g_dsp_name.c (gss_display_name): If there is a mechanism
		specific name, use it when displaying the name.

	* oid_ops.c (generic_gss_copy_oid): New function used to copy an
		OID object.

Fri Feb 23 18:27:20 1996  Theodore Y. Ts'o  <tytso@dcl>

	* g_rel_name.c (gss_release_name): Release the OID in the
		mechanism name, as it is now allocated.  Release the
		mechanism-specific name if it is present.

	* g_imp_name.c (gss_import_name):  Copy the input OID, so we don't
		have to worry about memory allocation problems later.
		Initialize mech_type and mech_name in the union name to be
		zero.  (for now)

	* oid_ops.c (generic_gss_copy_oid): Added new function to copy OIDs.

Thu Feb 22 21:48:44 1996  Theodore Y. Ts'o  <tytso@dcl>

	* mglueP.h: Add space for the mechanism name in gss_union_name.

Sat Feb 10 18:38:43 1996  Tom Yu  <tlyu@dragons-lair.MIT.EDU>

	* g_glue.c: grab stdlib.h to get NULL

Fri Feb  9 09:04:50 1996  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* g_inquire_context.c: Include stdlib.h if present

Wed Feb  7 14:16:01 1996  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* g_initialize.c: Need to include stdio.h, errno.h all the time.

Tue Feb  6 23:59:49 1996  Theodore Y. Ts'o  <tytso@dcl>

	* g_initialize.c (gss_initialize): Added code to try to
		dynamically read in the GSSAPI mechanim library using
		dlopen().

Wed Jan 24 20:49:13 1996  Tom Yu  <tlyu@dragons-lair.MIT.EDU>

	* g_compare_name.c, g_delete_sec_context.c, g_dsp_status.c,
	g_exp_sec_context.c, g_imp_sec_context.c, g_rel_buffer.c,
	g_rel_cred.c, g_rel_name.c, g_rel_oid_set.c, get_mechanism.c,
	get_mtype.c: Include stdlib.h and string.h as needed

	* mglueP.h: Add many invocations of NPROTOTYPE and PROTOTYPE to
		prevent breakage.

Tue Jan 23 11:52:24 1996  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* add_mechanism.c, g_inquire_cred.c, g_imp_name.c,
	  g_dsp_name.c, g_indicate_mechs.c, g_accept_sec_context.c,
	  g_init_sec_context.c, g_acquire_cred.c: Include stdlib.h, string.h

	* configure.in: Check for stdlib.h

	* Makefile.in (SRCS): Remove extraneous line with only a tab.
		(SHLIB_LDFLAGS): Declare that krb5_gss_initialize is to be
		unresolved. 


